Bug 497087 - Protection of partition with hd media wont work when partition numbers change
Protection of partition with hd media wont work when partition numbers change
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 06:42 EDT by Hans de Goede
Modified: 2009-08-14 11:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 11:57:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2009-04-22 06:42:18 EDT
Description of problem:
I envisioned this while working on a fix for bug 496638 (as that fix
will have the same issues), I haven't actually tried this, but
it is pretty clear this will be a real problem.

Steps to Reproduce:
1. Do an install with hd media, with the media being
   a logical partition for example sda6
2. Choose custom partitioning remove sda5
3. Now sda6 has become sda5 and thus can be happily edited
  

Possible fix:
-When a partition changes name check protecedPartitions for
 the old name and replace it with the new name if necessary.
 This can be done in Partition.updateName().
Comment 1 Bug Zapper 2009-06-09 10:23:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Lehman 2009-08-14 11:57:44 EDT
This was fixed in anaconda-12.0-1.

Note You need to log in before you can comment on or make changes to this bug.